# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'macOS']
  'require':
    'frameworks/extra-cmake-modules': '@same'
    'frameworks/kcoreaddons' : '@same'
    'frameworks/attica' : '@same'
    'frameworks/ki18n' : '@same'
    'frameworks/kconfig' : '@same'
    'frameworks/karchive' : '@same'
    'frameworks/kirigami' : '@same'
    'frameworks/kpackage' : '@same'
    'frameworks/syndication' : '@same'
    'frameworks/kwidgetsaddons' : '@same'

runtime-dependencies:
  'frameworks/kcmutils' : '@same'

Options:
  test-before-installing: True
  require-passing-tests-on: [ 'Linux', 'FreeBSD' ]
